
#include"mbed.h"
#include"interruptin_mod.h"


interruptin_mod::interruptin_mod(PinName pin) : InterruptIn(pin){}

void interruptin_mod::fall_disable(void (*fptr)(void)){
  _rise.attach(fptr);
  gpio_irq_set(&gpio_irq, IRQ_RISE, NULL);
}

void interruptin_mod::rise_disable(void (*fptr)(void)) {
  _fall.attach(fptr);
  gpio_irq_set(&gpio_irq, IRQ_FALL, NULL);
}

